/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2018-12-22
 * 时间: 16:33
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using Server.Data;
using System.Collections.Generic;
using MrWu.Debug;

#if UtilTest

namespace Server.Module
{
	/// <summary>
	/// 游戏信息表 单元测试
	/// </summary>
	public partial class GameInfoTab
	{
		private GameInfoTab(){}
		
		/// <summary>
		/// 
		/// </summary>
		public static GameInfoTab insatance_test = new GameInfoTab();
		
		/*
		/// <summary>
		/// 
		/// </summary>
		public void AddGameInfo_Test(){
			List<GameInfo> infos = new List<GameInfo>();
			int len = 100;
			for(int i=0;i<len;i++){
				infos.Add(new GameInfo(i,0,i));
			}
			
			foreach(var info in infos){
				AddData(info);
			}
			
			foreach(var info in infos){
				bool isExis =false;
				foreach(var item in datas){
					if(item.Equals(info)){
						isExis = true;
						break;
					}
				}
				if(!isExis){
					Debug.Error("有游戏信息未添加!");
				}
			}
			
			datas.Clear();
			Debug.Log("添加游戏信息测试完成!");
		}
		*/
	}
}

#endif